View Issue Details

IDProjectCategoryView StatusLast Update
0003098Path[FreeCAD] Featurepublic2017-07-18 16:07
ReporterKonstantinAssigned Tosliptonic 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version[FreeCAD] 0.17 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0003098: Drilling option G98, G99
DescriptionAt least in Fanuc there is an options G98 (return to initial point) and G99 (return to R point). It would be nice to have ability to choose between them. I don't know, are this commands used for something else in different controllers, I personally think, that there should be additional option in Postprocessor to specify which command to use, or don't use at all if no option specified, to Postprocessors would be backward compatible.
TagsNo tags attached.

Activities

Kunda1

2017-06-28 21:50

administrator   ~0009583

Last edited: 2017-06-28 21:50

View 2 revisions

Changed to 'Feature'

@konstantin it is customary to discuss such requests on the forums. Please link to a dialogue with the devs about this so people can read further.
Thank you. Also please further familiarize yourself with the FC guidelines on how to report bugs and requests features from: https://freecadweb.org/wiki/tracker#Recommended_Workflow
Thank you in advance!

sliptonic

2017-07-08 23:49

developer   ~0009694

LinuxCNC uses them like this which appears to be the same.
http://linuxcnc.org/docs/html/gcode/g-code.html#gcode:g98-g99

I'm not clear on whether these are issued once and remain active until a G80 cancels the canned cycle or whether they have to be sent on every canned cycle command. In other words, is it like this:
G98
G81 X1 Y1 Z1.5 R2.8
G81 X5 Y3 Z1.5 R2.8
G80

or like:
G81 G98 X1 Y1 Z1.5 R2.8
G81 G98 X5 Y3 Z1.5 R2.8
G80

If it's the first one, this should be easy. The second will give us some trouble.

sliptonic

2017-07-09 13:35

developer   ~0009696

Actually this is easier than I thought. We're already sending a G98. All I need to do is add an option to choose either mode.

sliptonic

2017-07-11 23:13

developer   ~0009722

FreeCAD Pull Request 865

Related Changesets

FreeCAD: master 465155b4

2017-07-09 08:33:36

sliptonic


Committer: Yorik van Havre Details Diff
Path: option for drilling return level
fix 0003098
Affected Issues
0003098
mod - src/Mod/Path/PathScripts/PathDrilling.py Diff File

Issue History

Date Modified Username Field Change
2017-06-24 09:45 Konstantin New Issue
2017-06-28 21:50 Kunda1 Category Patch => Feature
2017-06-28 21:50 Kunda1 Product Version => 0.17
2017-06-28 21:50 Kunda1 Note Added: 0009583
2017-06-28 21:50 Kunda1 Note Edited: 0009583 View Revisions
2017-07-08 23:49 sliptonic Note Added: 0009694
2017-07-09 13:35 sliptonic Note Added: 0009696
2017-07-10 19:43 Kunda1 Assigned To => sliptonic
2017-07-10 19:43 Kunda1 Status new => assigned
2017-07-11 23:13 sliptonic Status assigned => closed
2017-07-11 23:13 sliptonic Resolution open => fixed
2017-07-11 23:13 sliptonic Fixed in Version => 0.17
2017-07-11 23:13 sliptonic Note Added: 0009722
2017-07-18 16:07 Kunda1 Changeset attached => FreeCAD master 465155b4